package com.xunmei.system.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.xunmei.common.core.web.page.TableDataInfo;
import com.xunmei.system.api.domain.SysUserInformation;

import java.util.List;

/**
 * 【用户扩展信息】Service接口
 *
 * @author xunmei
 * @date 2023-08-18
 */
public interface ISysUserInformationService extends IService<SysUserInformation> {
    /**
     * 查询【用户扩展信息】
     *
     * @param id 【用户扩展信息】主键
     * @return 【用户扩展信息】
     */
    SysUserInformation selectSysUserInformationById(Long id);

    SysUserInformation getInformationByUserId(Long id);

    int extendUser(SysUserInformation sysUserInformation);

    /**
     * 查询【用户扩展信息】列表
     *
     * @param sysUserInformation 【用户扩展信息】
     * @return 【用户扩展信息】集合
     */
    List<SysUserInformation> selectSysUserInformationList(SysUserInformation sysUserInformation);

    /**
     * 新增【用户扩展信息】
     *
     * @param sysUserInformation 【用户扩展信息】
     * @return 结果
     */
    int insertSysUserInformation(SysUserInformation sysUserInformation);

    /**
     * 修改【用户扩展信息】
     *
     * @param sysUserInformation 【用户扩展信息】
     * @return 结果
     */
    int updateSysUserInformation(SysUserInformation sysUserInformation);

    /**
     * 批量删除【用户扩展信息】
     *
     * @param ids 需要删除的【用户扩展信息】主键集合
     * @return 结果
     */
    int deleteSysUserInformationByIds(Long[] ids);

    /**
     * 删除【用户扩展信息】信息
     *
     * @param id 【用户扩展信息】主键
     * @return 结果
     */
    int deleteSysUserInformationById(Long id);

    /**
     * 查询【用户扩展信息】分页数据
     *
     * @param sysUserInformation 查询条件对象
     * @return Page
     */
    TableDataInfo<SysUserInformation> selectPage(SysUserInformation sysUserInformation);
}
